import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    formal_name: z.string(),
    company_type: z.string(),
    commercial_type: z.string(),
    tax_no: z.string(),
    public_name: z.string(),
    company_tag: z.string(),
    default_lang_type: z.string().default("TR"),
    default_money_type: z.string().default("TL"),
    is_commercial: z.boolean().default(false),
    is_blacklist: z.boolean().default(false),
    parent_id: z.string().optional(),
    workplace_no: z.string().optional(),
    official_address: z.string().optional(),
    top_responsible_company: z.string().optional(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
    createdAt: z.string().nullable().optional(),
    updatedAt: z.string().nullable().optional(),
});


export type schemaType = z.infer<typeof schema>;